import { ChainId, RpcEndpoint } from './enums';
interface ChainProps {
    chain: ChainId;
    name: string;
    symbol: string | undefined;
    rpc: RpcEndpoint;
    logoURI: string;
    blockExplorer: string;
    nativeTokenName?: string | null | undefined;
    nativeTokenLogo?: string | null | undefined;
    defaultRpc?: string | null | undefined;
}
export declare const ChainIdsProps: {
    [chainId: number]: ChainProps;
};
export {};
