import { JsonRpcSigner, Web3Provider } from '@ethersproject/providers';
import { ChainId } from '../constants';
import { Contract } from '@ethersproject/contracts';
export declare function getBalanceContract(chainId: ChainId): "0x2de0E94469ED1E1b2fEdD651E45036903756306F" | "0xc3f90F28C0d52Da1cFbC8E6D9E231176ab731FD9" | "0x8894410c1e5617013ad0405053dd24ec8eaE9a37" | "0x0db3E7586b455588c19728e948ae1C1e3803F9c0" | "0xc7807655f2459154FB097f1EE82483645396d296" | "0xFFfca06560b01bC587a4a9a777A059251976c6a0" | "0x76FDdFcA740655aeD6DBe06634ef117409987260" | "0x08A8fDBddc160A7d5b957256b903dCAb1aE512C5";
export declare function getContract(address: string, ABI: any, library: Web3Provider, account?: string): Contract;
export declare function getProviderOrSigner(library: Web3Provider, account?: string): Web3Provider | JsonRpcSigner;
export declare function getSigner(library: Web3Provider, account: string): JsonRpcSigner;
