# dexpools-sdk

`npm init` - creates **new** package

Link on npm package (shared constants, utils, etc): https://www.npmjs.com/package/dexpools-sdk

**_To become a Collaborator of this package do the following:_**

1. Create an npm account: https://www.npmjs.com/
2. Login to your npm account in terminal

```
npm adduser
```

3. Ask one of the collaborators to add you to the list of npm package collaborators.
   Add another user to collaborators (works for existing collaborators of the package):

```
npm owner add [npm account username]
```

**_To work with package in real time, without republishing after any updates, do the following:_**

1. Create a link to the package

```
yarn link
```

2. in the application where we will use the sdk (links to your local dexpools-sdk):

```
yarn link dexpools-sdk
```

3. Compile sdk after any changes, watch changes

```
yarn start
```

4. ...add code
5. run prettier:

```
yarn lint-prettier
```

6. Make build, if the build was successful, go to the next

```
yarn build
```

6. Publish a new version of the package to npm

```
yarn publish
```

7. commit, push changes to main
8. in the application unlink form local sdk, re-install the package that was linked, update sdk version:

```
yarn unlink dexpools-sdk
yarn install --force
yarn add dexpools-sdk

npm unpublish <package-name>@<version> // Remove specific version
```
