export declare const enum RpcEndpoint {
    ETH_MAINNET_ANKR = "https://rpc.ankr.com/eth",
    ETH_ROPSTEN_ANKR = "https://apis.ankr.com/4d2185f26f77469f85564a4c36c9ccbb/998f920c655f9467e274df5d3731c869/eth/fast/ropsten",
    AVALANCHE_CHAIN = "https://api.avax.network/ext/bc/C/rpc",
    SMART_CHAIN = "https://bsc-dataseed.binance.org",
    SMART_CHAIN_ANKR = "https://rpc.ankr.com/bsc",
    POLYGON = "https://polygon-rpc.com/",
    HECO_MAINNET = "https://http-mainnet.hecochain.com",
    MOONRIVER = "https://rpc.moonriver.moonbeam.network",
    MOONRIVER_ONFINALITY = "https://moonriver.api.onfinality.io/public",
    MOONBEAM = "https://rpc.api.moonbeam.network",
    FANTOM = "https://rpc.ftm.tools/",
    METIS_ANDROMEDA = "https://andromeda.metis.io/?owner=1088",
    METIS_STARDUST = "https://stardust.metis.io/?owner=588",
    ARBITRUM = "https://arb-mainnet.g.alchemy.com/v2/K2CDA3MjHI3O9GHDmlIEDjyzv_tgCI9_",
    ARBITRUM2 = "https://rpc.ankr.com/arbitrum",
    ARBITRUM_TEST = "https://rinkeby.arbitrum.io/rpc",
    ARBITRUM_GOERLI = "https://arb-goerli.g.alchemy.com/v2/D0axyS3VDhXeL7lj0edbCBQWGK2xBANK",
    ARBITRUM_GOERLI2 = "https://goerli-rollup.arbitrum.io/rpc",
    OPTIMISM = "https://mainnet.optimism.io",
    GÖRLI = "https://goerli.infura.io/v3",
    OKEX = "https://exchainrpc.okex.org/"
}
