export interface Token {
    /** @example 43114 */
    chainId?: number;
    /** @example 0x6e84a6216eA6dACC71eE8E6b0a5B7322EEbC0fDd */
    address?: string;
    balance?: string;
    /** @default 18 */
    decimals?: number;
    /** @example TraderJoe Token */
    name?: string;
    /** @example JOE */
    symbol?: string;
    /** @example: https://raw.githubusercontent.com/traderjoe-xyz/joe-tokenlists/main/logos/0x6e84a6216eA6dACC71eE8E6b0a5B7322EEbC0fDd/logo.png */
    logoURI?: string;
    /** @example 1 (Eth) */
    nativeChain?: number;
}
