import { ethers } from 'ethers';
export declare const formatStr: (str: string, decimals?: number | undefined) => string;
export declare const bigNumberify: (n: number | string) => ethers.BigNumber;
export declare const expandDecimals: (n: number | string, decimals: number) => ethers.BigNumber;
export declare const formatNum: (num: any) => string;
export declare const formatNumDecimals: (num: any, decimals?: number) => string;
export declare const formatToExponential: (num: any) => any;
export declare const formatStrToNum: (str: string | number) => number;
export declare const bytesToString: (str: any) => string;
export declare const stringToBytes: (str: any) => string;
export declare function validateEmail(email: string): boolean;
export declare function validateDisplayName(displayName: string): boolean;
export declare function validE164(phoneNumber: string): boolean;
export declare function formatBigNumber(num: number, digits?: number): any;
